aboutsummaryrefslogtreecommitdiff
path: root/net.BSD
diff options
context:
space:
mode:
Diffstat (limited to 'net.BSD')
-rw-r--r--net.BSD/ifconfig.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/net.BSD/ifconfig.sh b/net.BSD/ifconfig.sh
index 6967bf45..404d1dee 100644
--- a/net.BSD/ifconfig.sh
+++ b/net.BSD/ifconfig.sh
@@ -222,4 +222,12 @@ ifconfig_pre_start() {
return 0
}
+ifconfig_post_start() {
+ vebegin "Waiting for IPv6 addresses"
+ while true; do
+ LC_ALL=C ifconfig "${IFACE}" | grep -q "^[[:space:]]*inet6 .* tentative" || break
+ done
+ veend 0
+}
+
# vim: set ts=4 :